#!/usr/bin/python
# coding=utf-8
 
# Les modules nécessaires sont importés et mis en place
import RPi.GPIO as GPIO
import time
 
GPIO.setmode(GPIO.BCM)
# la pause entre 2 commutation est paramétrée
delayTime = 1
 
# La broche de raccordement du relais est déclarée. En outre la résistance de Pull-up est activée.
RELAIS_PIN = 24
GPIO.setup(RELAIS_PIN, GPIO.OUT)
GPIO.output(RELAIS_PIN, False)
 
print "Sensor-Test [Appuyez sur Ctrl + C pour terminer le test]"
 
 
# Boucle de programme principale
try:
        while True:
            GPIO.output(RELAIS_PIN, True) # NO est passant
            time.sleep(delayTime)
            GPIO.output(RELAIS_PIN, False) # NC est passant
            time.sleep(delayTime)
 
# réinitialisation de tous les GPIO en entrées
except KeyboardInterrupt:
        GPIO.cleanup()